REST APIStakeStaking State Information

GET

Retrieve a list of coins available for staking and additional information.

Query Params

  • page integer nullable
    The page number for pagination.

    >= 1

    Defaults to 1

  • pageSize integer nullable
    The page size for pagination.

    >= 1 · <= 100

    Defaults to 20

  • comingSoon boolean
    If true, include coins that are coming soon but not yet available for staking.

Responses

200
Successful Retrieving a List of Stakeable Coins

Response Body

object

  • coins array of objects
    coins object
    • symbol string
    • baseUnit string
    • isToken boolean
    • isTss boolean
    • isMultiSig boolean
    • l1Chain string
    • comingSoon boolean
    • disclaimer object
      Disclaimer information specific to staking.
      disclaimer object
      • stakeWarmupPeriodDesc string nullable
        Optional description of the staking warmup period.
      • rewardPercentageRate string decimal nullable
        Optional reward percentage rate for staking.
      • apyMarginOfError string decimal nullable
        Optional margin of error for the APY rate.
      • rewardsCompounding boolean
        True if rewards are compounded.
      • period object
        Estimation period details for staking.
        period object
        • periodLow string
          Lower bound of the period in seconds or blocks.
        • periodHigh string
          Upper bound of the period in seconds or blocks.
        • coin string
          Coin associated with the period.
        • type string enum
          Type of period (WARMUP, EXIT, COOLDOWN).
          WARMUPEXITCOOLDOWN
      • minStake string
        Minimum amount required to stake.
      • minStakeMore string nullable
        Minimum additional amount to add to an active stake.
      • stakingSubTypes array of objects nullable
        Optional list of staking sub-types with their own disclaimers.
        stakingSubTypes object
        • type string
          Sub-type identifier.
        • name string
          Sub-type display name.
        • info array of strings
          List of disclaimer messages for the sub-type.
        • transactionsNeeded integer
          Number of transactions required for the sub-type.
        • rewardsCompounding boolean
          True if rewards are compounded for this sub-type.
        • period object
          Estimation period details for staking.
          period object
          • Same shape as EstimationPeriodAttributes.
        • minStake string
          Minimum staking amount for this sub-type.
        • minStakeMore string nullable
          Optional minimum additional stake required for this sub-type.
        • url string nullable
          Optional URL for more information about this sub-type.
        • iconName string nullable
          Optional icon name for UI representation.
        • defaultApy string decimal nullable
          Optional default APY for this sub-type.
        • stakeWarmupPeriodDesc string nullable
          Optional description of the staking warmup period for this sub-type.
        • rewardPercentageRate string decimal nullable
          Optional reward percentage rate for this sub-type.
        • apyMarginOfError string decimal nullable
          Optional margin of error for the APY rate for this sub-type.
        • rewardCycle integer nullable
          Optional time in seconds between reward distributions for this staking subtype. When present, this value overrides the base-level nextRewards.rewardCycle for this specific staking method.
      • info array of strings
        List of disclaimer messages.
      • transactionsNeeded integer
        Number of transactions required.
    • jurisdictions array of strings
      List of jurisdictions where staking is available for this coin.
  • page integer
  • totalPages integer
  • totalElements integer
401
Unauthorized

Response Body

object

  • error string
  • errorName string
  • reqId string
  • context object
    context object
    • errorName string
500
Server Error - Transient error please try again

Response Body

object

  • error string
  • errorName string
  • reqId string
  • context object